Solved

Shopify CLI theme dev error

cobyambrose
Shopify Partner
4 0 1

I'm trying to develop Shopify themes locally on Windows 11 22H2. I've installed all dependencies and cloned Dawn to my laptop. Versions according to command prompt are:

  • Ruby: ruby 3.0.6p216 (2023-03-30 revision 23a532679b) [x64-mingw32]
  • Gem: 3.2.33
  • Bundler: Bundler version 2.4.10
  • Git: git version 2.38.1.windows.1
  • Node: v18.15.0
  • NPM: 9.6.3
  • Shopify: Current Shopify CLI version: 3.45.0

When running "shopify theme dev" in the Dawn directory, I get this error:

Screenshot 2023-04-10 173037.png

 

 

 

 

 

 

 

 Any help is much appreciated!!

Accepted Solution (1)

ShopifyDevSup
Shopify Staff
1357 224 473

This is an accepted solution.

Hi @cobyambrose,

 

The official place for support questions relating to the Shopify CLI is the Public GitHub repository issue board: 

https://github.com/Shopify/cli/issues

 

Hope you have a great day

Developer Support @ Shopify
- Was this reply helpful? Click Like to let us know!
- Was your question answered? Mark it as an Accepted Solution
- To learn more visit Shopify.dev or the Shopify Web Design and Development Blog

View solution in original post

Replies 4 (4)

saadwasil
Shopify Partner
3 0 2

Try running "set SHOPIFY_CLI_BUNDLED_THEME_CLI=1" first. After that, you can run your Shopify commands normally throughout the CMD session.

cobyambrose
Shopify Partner
4 0 1

I tried this but I still get the same error 😞

ShopifyDevSup
Shopify Staff
1357 224 473

This is an accepted solution.

Hi @cobyambrose,

 

The official place for support questions relating to the Shopify CLI is the Public GitHub repository issue board: 

https://github.com/Shopify/cli/issues

 

Hope you have a great day

Developer Support @ Shopify
- Was this reply helpful? Click Like to let us know!
- Was your question answered? Mark it as an Accepted Solution
- To learn more visit Shopify.dev or the Shopify Web Design and Development Blog

cobyambrose
Shopify Partner
4 0 1

For reference purposes to leave a trail for other people with this issue: Shopify theme commands fail --> ruby: invalid switch -e · Issue #1851 · Shopify/cli (github.com)